#pragma once
#include "DotNetString.h"

using namespace System;
using namespace System::ComponentModel;
using namespace System::Collections;
using namespace System::Windows::Forms;
using namespace System::Data;
using namespace System::Drawing;
using namespace System::Data::SqlClient;
using namespace System::Text;

namespace ObjDataEdit
{

    public __gc class BaseFormControl : public System::Windows::Forms::Form
    {
    protected:
        static bool         _IsExit;
        static String*      _Account;

        char*               _FormName;
        char*               _DBName;
        char*               _OutputFileName;
        bool                _IsReadOnly;

    public:

        BaseFormControl(  char* FormName , char* DBName , char* OutputFile  , bool IsReadOnly )
        {
            _FormName       = FormName;
            _DBName         = DBName;
            _OutputFileName = OutputFile;
            _IsReadOnly      = IsReadOnly;
        }

        static  void    IsExit( bool Flag )             { _IsExit = Flag;};
        static  void    SetAccount( String* Acc )       { _Account = Acc; }

        String* Account()                   { return _Account;}
        char*   FormName()                  { return _FormName;}
        char*   DBName()                    { return _DBName;}
        char*   OutputFileName()            { return _OutputFileName; }


		virtual void	InitTable(){};
        virtual void    OutputFileLanguage( int ) {};
        virtual void    OutputStringToDB( ) {};
		virtual	bool	GetQuestLink()		{ return false; };
//        virtual void    OutputFileByStringTable( ) {};


    };
};